Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Add generated files to the CVS so that the use of autotools is not necessary to build...
[simgrid.git] / examples / gras / chrono / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Makefile chunk which allows to display the files which should be included
18 # into the distribution.
19
20 # It is intended to be included in all Makefile.am 
21
22 srcdir = @srcdir@
23 top_srcdir = @top_srcdir@
24 VPATH = @srcdir@
25 pkgdatadir = $(datadir)/@PACKAGE@
26 pkglibdir = $(libdir)/@PACKAGE@
27 pkgincludedir = $(includedir)/@PACKAGE@
28 top_builddir = ../../..
29 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
30 INSTALL = @INSTALL@
31 install_sh_DATA = $(install_sh) -c -m 644
32 install_sh_PROGRAM = $(install_sh) -c
33 install_sh_SCRIPT = $(install_sh) -c
34 INSTALL_HEADER = $(INSTALL_DATA)
35 transform = $(program_transform_name)
36 NORMAL_INSTALL = :
37 PRE_INSTALL = :
38 POST_INSTALL = :
39 NORMAL_UNINSTALL = :
40 PRE_UNINSTALL = :
41 POST_UNINSTALL = :
42 build_triplet = @build@
43 host_triplet = @host@
44 target_triplet = @target@
45 noinst_PROGRAMS = chrono_simulator$(EXEEXT) chrono_multiplier$(EXEEXT)
46 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
47         $(srcdir)/test_rl.in $(srcdir)/test_sg.in \
48         $(top_srcdir)/acmacro/dist-files.mk \
49         $(top_srcdir)/examples/temps-gras-stub.mk
50 subdir = examples/gras/chrono
51 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
52 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
53         $(top_srcdir)/acmacro/compiler-flags.m4 \
54         $(top_srcdir)/acmacro/context.m4 \
55         $(top_srcdir)/acmacro/fancy_configury.m4 \
56         $(top_srcdir)/acmacro/flex.m4 \
57         $(top_srcdir)/acmacro/gras_arch.m4 \
58         $(top_srcdir)/acmacro/print_null.m4 \
59         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
60 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
61         $(ACLOCAL_M4)
62 mkinstalldirs = $(install_sh) -d
63 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
64 CONFIG_CLEAN_FILES = test_sg test_rl
65 PROGRAMS = $(noinst_PROGRAMS)
66 am_chrono_multiplier_OBJECTS = _chrono_multiplier.$(OBJEXT) \
67         chrono.$(OBJEXT)
68 chrono_multiplier_OBJECTS = $(am_chrono_multiplier_OBJECTS)
69 chrono_multiplier_DEPENDENCIES = $(top_builddir)/src/libgras.la
70 am_chrono_simulator_OBJECTS = _chrono_simulator.$(OBJEXT) \
71         chrono.$(OBJEXT)
72 chrono_simulator_OBJECTS = $(am_chrono_simulator_OBJECTS)
73 chrono_simulator_DEPENDENCIES = $(top_builddir)/src/libsimgrid.la
74 DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/src
75 depcomp = $(SHELL) $(top_srcdir)/depcomp
76 am__depfiles_maybe = depfiles
77 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
78         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
79 LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
80         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
81         $(AM_CFLAGS) $(CFLAGS)
82 CCLD = $(CC)
83 LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
84         $(AM_LDFLAGS) $(LDFLAGS) -o $@
85 SOURCES = $(chrono_multiplier_SOURCES) $(chrono_simulator_SOURCES)
86 DIST_SOURCES = $(chrono_multiplier_SOURCES) \
87         $(chrono_simulator_SOURCES)
88 ETAGS = etags
89 CTAGS = ctags
90 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
91 ACLOCAL = @ACLOCAL@
92 ADDR2LINE = @ADDR2LINE@
93 AMDEP_FALSE = @AMDEP_FALSE@
94 AMDEP_TRUE = @AMDEP_TRUE@
95 AMTAR = @AMTAR@
96 AR = @AR@
97 AS = @AS@
98 AUTOCONF = @AUTOCONF@
99 AUTOHEADER = @AUTOHEADER@
100 AUTOMAKE = @AUTOMAKE@
101 AWK = @AWK@
102 BASH = @BASH@
103 CC = @CC@
104 CCDEPMODE = @CCDEPMODE@
105 CFLAGS = @CFLAGS@
106 CPP = @CPP@
107 CPPFLAGS = @CPPFLAGS@
108 CXX = @CXX@
109 CXXCPP = @CXXCPP@
110 CXXDEPMODE = @CXXDEPMODE@
111 CXXFLAGS = @CXXFLAGS@
112 CYGPATH_W = @CYGPATH_W@
113 DEFS = @DEFS@
114 DEPDIR = @DEPDIR@
115 DLLTOOL = @DLLTOOL@
116 DOXYGEN = @DOXYGEN@
117 ECHO = @ECHO@
118 ECHO_C = @ECHO_C@
119 ECHO_N = @ECHO_N@
120 ECHO_T = @ECHO_T@
121 EGREP = @EGREP@
122 EXEEXT = @EXEEXT@
123 F77 = @F77@
124 FFLAGS = @FFLAGS@
125 FLEXML = @FLEXML@
126 GRAMINE_MODE_FALSE = @GRAMINE_MODE_FALSE@
127 GRAMINE_MODE_TRUE = @GRAMINE_MODE_TRUE@
128 GRAS_DEP = @GRAS_DEP@
129 HAVE_FLEXML_FALSE = @HAVE_FLEXML_FALSE@
130 HAVE_FLEXML_TRUE = @HAVE_FLEXML_TRUE@
131 INSTALL_DATA = @INSTALL_DATA@
132 INSTALL_PROGRAM = @INSTALL_PROGRAM@
133 INSTALL_SCRIPT = @INSTALL_SCRIPT@
134 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
135 LDFLAGS = @LDFLAGS@
136 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
137 LEX = @LEX@
138 LEXLIB = @LEXLIB@
139 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
140 LIBOBJS = @LIBOBJS@
141 LIBS = @LIBS@
142 LIBTOOL = @LIBTOOL@
143 LN_S = @LN_S@
144 LTLIBOBJS = @LTLIBOBJS@
145 MAINT = @MAINT@
146 MAINTAINER_MODE_FALSE = @MAINTAINER_MODE_FALSE@
147 MAINTAINER_MODE_TRUE = @MAINTAINER_MODE_TRUE@
148 MAKEINFO = @MAKEINFO@
149 MD5SUM = @MD5SUM@
150 OBJDUMP = @OBJDUMP@
151 OBJEXT = @OBJEXT@
152 PACKAGE = @PACKAGE@
153 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
154 PACKAGE_NAME = @PACKAGE_NAME@
155 PACKAGE_STRING = @PACKAGE_STRING@
156 PACKAGE_TARNAME = @PACKAGE_TARNAME@
157 PACKAGE_VERSION = @PACKAGE_VERSION@
158 PATH_SEPARATOR = @PATH_SEPARATOR@
159 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
160 RANLIB = @RANLIB@
161 SET_MAKE = @SET_MAKE@
162 SHELL = @SHELL@
163 SIMGRID_DEP = @SIMGRID_DEP@
164 STRIP = @STRIP@
165 VERSION = @VERSION@
166 WARNING = @WARNING@
167 abs_builddir = @abs_builddir@
168 abs_srcdir = @abs_srcdir@
169 abs_top_builddir = @abs_top_builddir@
170 abs_top_srcdir = @abs_top_srcdir@
171 ac_configure_args = @ac_configure_args@
172 ac_ct_AR = @ac_ct_AR@
173 ac_ct_AS = @ac_ct_AS@
174 ac_ct_CC = @ac_ct_CC@
175 ac_ct_CXX = @ac_ct_CXX@
176 ac_ct_DLLTOOL = @ac_ct_DLLTOOL@
177 ac_ct_F77 = @ac_ct_F77@
178 ac_ct_OBJDUMP = @ac_ct_OBJDUMP@
179 ac_ct_RANLIB = @ac_ct_RANLIB@
180 ac_ct_STRIP = @ac_ct_STRIP@
181 am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
182 am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
183 am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
184 am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
185 am__include = @am__include@
186 am__leading_dot = @am__leading_dot@
187 am__quote = @am__quote@
188 am__tar = @am__tar@
189 am__untar = @am__untar@
190 bindir = @bindir@
191 build = @build@
192 build_alias = @build_alias@
193 build_cpu = @build_cpu@
194 build_id = @build_id@
195 build_os = @build_os@
196 build_vendor = @build_vendor@
197 datadir = @datadir@
198 exec_prefix = @exec_prefix@
199 host = @host@
200 host_alias = @host_alias@
201 host_cpu = @host_cpu@
202 host_os = @host_os@
203 host_vendor = @host_vendor@
204 includedir = @includedir@
205 infodir = @infodir@
206 install_sh = @install_sh@
207 libdir = @libdir@
208 libexecdir = @libexecdir@
209 localstatedir = @localstatedir@
210 mandir = @mandir@
211 mkdir_p = @mkdir_p@
212 oldincludedir = @oldincludedir@
213 prefix = @prefix@
214 program_transform_name = @program_transform_name@
215 pth_skaddr_makecontext = @pth_skaddr_makecontext@
216 pth_sksize_makecontext = @pth_sksize_makecontext@
217 sbindir = @sbindir@
218 sharedstatedir = @sharedstatedir@
219 sysconfdir = @sysconfdir@
220 target = @target@
221 target_alias = @target_alias@
222 target_cpu = @target_cpu@
223 target_os = @target_os@
224 target_vendor = @target_vendor@
225 INCLUDES = -I$(top_srcdir)/include
226 AM_CFLAGS = -g
227 TESTS = test_rl test_sg
228 EXTRA_DIST = chrono.xml
229 chrono_simulator_SOURCES = _chrono_simulator.c chrono.c
230 chrono_simulator_LDADD = $(top_builddir)/src/libsimgrid.la
231 chrono_multiplier_SOURCES = _chrono_multiplier.c chrono.c
232 chrono_multiplier_LDADD = $(top_builddir)/src/libgras.la
233
234 # Take care of generatated sources
235 NAME = chrono
236 PROCESSES = multiplier
237 CLEANFILES = _$(NAME)_simulator.c $(NAME).mk $(NAME).Makefile.local $(NAME).Makefile.remote $(NAME).deploy.sh \
238              $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c)
239
240 MOSTLYCLEANFILES = $(NAME).trace
241 all: all-am
242
243 .SUFFIXES:
244 .SUFFIXES: .c .lo .o .obj
245 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/examples/temps-gras-stub.mk $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
246         @for dep in $?; do \
247           case '$(am__configure_deps)' in \
248             *$$dep*) \
249               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
250                 && exit 0; \
251               exit 1;; \
252           esac; \
253         done; \
254         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  examples/gras/chrono/Makefile'; \
255         cd $(top_srcdir) && \
256           $(AUTOMAKE) --gnu  examples/gras/chrono/Makefile
257 .PRECIOUS: Makefile
258 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
259         @case '$?' in \
260           *config.status*) \
261             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
262           *) \
263             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
264             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
265         esac;
266
267 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
268         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
269
270 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
271         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
272 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
273         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
274 test_sg: $(top_builddir)/config.status $(srcdir)/test_sg.in
275         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
276 test_rl: $(top_builddir)/config.status $(srcdir)/test_rl.in
277         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
278
279 clean-noinstPROGRAMS:
280         @list='$(noinst_PROGRAMS)'; for p in $$list; do \
281           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
282           echo " rm -f $$p $$f"; \
283           rm -f $$p $$f ; \
284         done
285 chrono_multiplier$(EXEEXT): $(chrono_multiplier_OBJECTS) $(chrono_multiplier_DEPENDENCIES) 
286         @rm -f chrono_multiplier$(EXEEXT)
287         $(LINK) $(chrono_multiplier_LDFLAGS) $(chrono_multiplier_OBJECTS) $(chrono_multiplier_LDADD) $(LIBS)
288 chrono_simulator$(EXEEXT): $(chrono_simulator_OBJECTS) $(chrono_simulator_DEPENDENCIES) 
289         @rm -f chrono_simulator$(EXEEXT)
290         $(LINK) $(chrono_simulator_LDFLAGS) $(chrono_simulator_OBJECTS) $(chrono_simulator_LDADD) $(LIBS)
291
292 mostlyclean-compile:
293         -rm -f *.$(OBJEXT)
294
295 distclean-compile:
296         -rm -f *.tab.c
297
298 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_chrono_multiplier.Po@am__quote@
299 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/_chrono_simulator.Po@am__quote@
300 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/chrono.Po@am__quote@
301
302 .c.o:
303 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
304 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
305 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
306 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
307 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
308
309 .c.obj:
310 @am__fastdepCC_TRUE@    if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
311 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
312 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
313 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
314 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
315
316 .c.lo:
317 @am__fastdepCC_TRUE@    if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
318 @am__fastdepCC_TRUE@    then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
319 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
320 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
321 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
322
323 mostlyclean-libtool:
324         -rm -f *.lo
325
326 clean-libtool:
327         -rm -rf .libs _libs
328
329 distclean-libtool:
330         -rm -f libtool
331 uninstall-info-am:
332
333 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
334         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
335         unique=`for i in $$list; do \
336             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
337           done | \
338           $(AWK) '    { files[$$0] = 1; } \
339                END { for (i in files) print i; }'`; \
340         mkid -fID $$unique
341 tags: TAGS
342
343 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
344                 $(TAGS_FILES) $(LISP)
345         tags=; \
346         here=`pwd`; \
347         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
348         unique=`for i in $$list; do \
349             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
350           done | \
351           $(AWK) '    { files[$$0] = 1; } \
352                END { for (i in files) print i; }'`; \
353         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
354           test -n "$$unique" || unique=$$empty_fix; \
355           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
356             $$tags $$unique; \
357         fi
358 ctags: CTAGS
359 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
360                 $(TAGS_FILES) $(LISP)
361         tags=; \
362         here=`pwd`; \
363         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
364         unique=`for i in $$list; do \
365             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
366           done | \
367           $(AWK) '    { files[$$0] = 1; } \
368                END { for (i in files) print i; }'`; \
369         test -z "$(CTAGS_ARGS)$$tags$$unique" \
370           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
371              $$tags $$unique
372
373 GTAGS:
374         here=`$(am__cd) $(top_builddir) && pwd` \
375           && cd $(top_srcdir) \
376           && gtags -i $(GTAGS_ARGS) $$here
377
378 distclean-tags:
379         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
380
381 check-TESTS: $(TESTS)
382         @failed=0; all=0; xfail=0; xpass=0; skip=0; \
383         srcdir=$(srcdir); export srcdir; \
384         list='$(TESTS)'; \
385         if test -n "$$list"; then \
386           for tst in $$list; do \
387             if test -f ./$$tst; then dir=./; \
388             elif test -f $$tst; then dir=; \
389             else dir="$(srcdir)/"; fi; \
390             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
391               all=`expr $$all + 1`; \
392               case " $(XFAIL_TESTS) " in \
393               *" $$tst "*) \
394                 xpass=`expr $$xpass + 1`; \
395                 failed=`expr $$failed + 1`; \
396                 echo "XPASS: $$tst"; \
397               ;; \
398               *) \
399                 echo "PASS: $$tst"; \
400               ;; \
401               esac; \
402             elif test $$? -ne 77; then \
403               all=`expr $$all + 1`; \
404               case " $(XFAIL_TESTS) " in \
405               *" $$tst "*) \
406                 xfail=`expr $$xfail + 1`; \
407                 echo "XFAIL: $$tst"; \
408               ;; \
409               *) \
410                 failed=`expr $$failed + 1`; \
411                 echo "FAIL: $$tst"; \
412               ;; \
413               esac; \
414             else \
415               skip=`expr $$skip + 1`; \
416               echo "SKIP: $$tst"; \
417             fi; \
418           done; \
419           if test "$$failed" -eq 0; then \
420             if test "$$xfail" -eq 0; then \
421               banner="All $$all tests passed"; \
422             else \
423               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
424             fi; \
425           else \
426             if test "$$xpass" -eq 0; then \
427               banner="$$failed of $$all tests failed"; \
428             else \
429               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
430             fi; \
431           fi; \
432           dashes="$$banner"; \
433           skipped=""; \
434           if test "$$skip" -ne 0; then \
435             skipped="($$skip tests were not run)"; \
436             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
437               dashes="$$skipped"; \
438           fi; \
439           report=""; \
440           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
441             report="Please report to $(PACKAGE_BUGREPORT)"; \
442             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
443               dashes="$$report"; \
444           fi; \
445           dashes=`echo "$$dashes" | sed s/./=/g`; \
446           echo "$$dashes"; \
447           echo "$$banner"; \
448           test -z "$$skipped" || echo "$$skipped"; \
449           test -z "$$report" || echo "$$report"; \
450           echo "$$dashes"; \
451           test "$$failed" -eq 0; \
452         else :; fi
453
454 distdir: $(DISTFILES)
455         $(mkdir_p) $(distdir)/../../../acmacro $(distdir)/../../../examples
456         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
457         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
458         list='$(DISTFILES)'; for file in $$list; do \
459           case $$file in \
460             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
461             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
462           esac; \
463           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
464           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
465           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
466             dir="/$$dir"; \
467             $(mkdir_p) "$(distdir)$$dir"; \
468           else \
469             dir=''; \
470           fi; \
471           if test -d $$d/$$file; then \
472             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
473               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
474             fi; \
475             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
476           else \
477             test -f $(distdir)/$$file \
478             || cp -p $$d/$$file $(distdir)/$$file \
479             || exit 1; \
480           fi; \
481         done
482 check-am: all-am
483         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
484 check: check-am
485 all-am: Makefile $(PROGRAMS)
486 installdirs:
487 install: install-am
488 install-exec: install-exec-am
489 install-data: install-data-am
490 uninstall: uninstall-am
491
492 install-am: all-am
493         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
494
495 installcheck: installcheck-am
496 install-strip:
497         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
498           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
499           `test -z '$(STRIP)' || \
500             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
501 mostlyclean-generic:
502         -test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)
503
504 clean-generic:
505         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
506
507 distclean-generic:
508         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
509
510 maintainer-clean-generic:
511         @echo "This command is intended for maintainers to use"
512         @echo "it deletes files that may require special tools to rebuild."
513 clean: clean-am
514
515 clean-am: clean-generic clean-libtool clean-noinstPROGRAMS \
516         mostlyclean-am
517
518 distclean: distclean-am
519         -rm -rf ./$(DEPDIR)
520         -rm -f Makefile
521 distclean-am: clean-am distclean-compile distclean-generic \
522         distclean-libtool distclean-tags
523
524 dvi: dvi-am
525
526 dvi-am:
527
528 html: html-am
529
530 info: info-am
531
532 info-am:
533
534 install-data-am:
535
536 install-exec-am:
537
538 install-info: install-info-am
539
540 install-man:
541
542 installcheck-am:
543
544 maintainer-clean: maintainer-clean-am
545         -rm -rf ./$(DEPDIR)
546         -rm -f Makefile
547 maintainer-clean-am: distclean-am maintainer-clean-generic
548
549 mostlyclean: mostlyclean-am
550
551 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
552         mostlyclean-libtool
553
554 pdf: pdf-am
555
556 pdf-am:
557
558 ps: ps-am
559
560 ps-am:
561
562 uninstall-am: uninstall-info-am
563
564 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
565         clean-generic clean-libtool clean-noinstPROGRAMS ctags \
566         distclean distclean-compile distclean-generic \
567         distclean-libtool distclean-tags distdir dvi dvi-am html \
568         html-am info info-am install install-am install-data \
569         install-data-am install-exec install-exec-am install-info \
570         install-info-am install-man install-strip installcheck \
571         installcheck-am installdirs maintainer-clean \
572         maintainer-clean-generic mostlyclean mostlyclean-compile \
573         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
574         tags uninstall uninstall-am uninstall-info-am
575
576
577 $(foreach proc, $(PROCESSES), _$(NAME)_$(proc).c) _$(NAME)_simulator.c: $(srcdir)/$(NAME).xml $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@
578         [ x@EXEEXT@ = x ] || exenv=wine; $$exenv $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@ $(NAME) $(srcdir)/$(NAME).xml
579
580 $(top_builddir)/tools/gras/gras_stub_generator@EXEEXT@:
581         make -C $(top_builddir)/tools/gras/ gras_stub_generator@EXEEXT@
582
583 dist-files:
584         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
585         @echo
586         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
587
588 # Cruft
589 # Tell versions [3.59,3.63) of GNU make to not export all variables.
590 # Otherwise a system limit (for SysV at least) may be exceeded.
591 .NOEXPORT: